
/* #define X_LOCALE */

#include <X11/Xlib.h>
#include <X11/Xlocale.h>
#include "XlcPublic.h"

char *sname;
XLCd lcd;

char *res[] = {	XlcNName,
		XlcNLanguage,
		XlcNTerritory,
		XlcNCodeset,
		XlcNEncodingName,
		NULL };
char *value;

main()
{
  int i;
  sname = setlocale(LC_CTYPE,"");
  printf("system locale: %s\n", sname);
  
  lcd = _XlcCurrentLC();
  if (!lcd) { printf("Can't open locale description\n");  exit(); }

  printf("X locale     : %s\n", lcd->core->name);
  printf("X locale file: %s\n\n", _XlcFileName(lcd, "locale"));

  for (i = 0; res[i]; i++)
    if (!_XGetLCValues(lcd, res[i], &value, NULL))
      printf("%15s: %s\n", res[i], value);
  
  exit();
}
